Request Plaid Link token
Creates a Plaid Link token that can be used to initialize Plaid Link in your application. The Link token is used to authenticate the customer and allow them to select their bank account.
Async Flow:
- Platform calls this endpoint to get a link_token and callbackUrl
- Platform displays Plaid Link UI to the end customer using the link_token
- End customer authenticates with their bank and selects an account
- Plaid returns a public_token to the platform
- Platform POSTs the public_token to the callbackUrl
- Lightspark exchanges the public_token with Plaid and creates the external account asynchronously
- Platform receives a webhook notification when the external account is ready
Documentation Index
Fetch the complete documentation index at: https://ramps-feat-fx-rate-explorer.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
API token authentication using format <api token id>:<api client secret>
Body
The ID of the customer for whom to create the Plaid Link token and external account
"Customer:019542f5-b3e7-1d02-0000-000000000001"
Response
Link token created successfully
The Plaid Link token to be used to initialize Plaid Link in your application. This token is single-use and expires after the specified expiration time.
"link-sandbox-af1a0311-da53-4636-b754-dd15cc058176"
The ISO 8601 timestamp when this link token expires. Link tokens typically expire after 4 hours.
"2025-10-05T18:30:00Z"
The URL where the platform should POST the public_token after the customer completes Plaid Link authentication. This will trigger asynchronous external account creation. The URL includes the linkToken as the path parameter.
"https://api.lightspark.com/grid/2025-10-13/plaid/callback/{plaid_link_token}"
A unique identifier for this request, useful for debugging
"req_abc123def456"